Danh sách giao dịch nội bộ
API lấy danh sách chi tiết các giao dịch nội bộ của công ty
HTTP request
- URL:
/api/company/v1/partner/ownership/trade-market/{ticker} - Method:
GET - Content Type: application/json
- Response Type: application/json
Tham số header
| Header | Mô tả | Kiểu dữ liệu | Bắt buộc |
|---|---|---|---|
| X-Api-Key | Khóa duy nhất. | string | có |
Tham Số Đường Dẫn (Path Parameters)
| Tên Tham Số | Kiểu Dữ Liệu | Mô Tả |
|---|---|---|
| ticker | string | Mã cổ phiếu. |
Phản Hồi (Response)
Response Mẫu
{
"status": 200,
"message": "Success",
"total": 23,
"data": [
{
"ticker": "HPG",
"tradedDate": "06/09/2024",
"value": -5615940000,
"isBuy": false,
"insiderName": "Lê Ngọc Hồ",
"result": -221100,
"averagePrice": 25400,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "03/04/2024",
"value": -27228000000,
"isBuy": false,
"insiderName": "Nguyễn Ngọc Quang",
"insiderOccupation": "TV HĐQT",
"result": -1000000,
"averagePrice": 27228,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "05/12/2023",
"value": -23534350000,
"isBuy": false,
"insiderName": "Công ty Cổ Phần Đầu Tư Và Xây Dựng Sao Phương Bắc",
"result": -950000,
"averagePrice": 24773,
"entityType": "ORGANIZATION",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "08/11/2023",
"value": -399840000000,
"isBuy": false,
"insiderName": "Trần Đình Long",
"insiderOccupation": "Chủ tịch HĐQT",
"result": -16320000,
"averagePrice": 24500,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "08/11/2023",
"value": -650972350000,
"isBuy": false,
"insiderName": "Vũ Thị Hiền",
"result": -26570300,
"averagePrice": 24500,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "23/05/2023",
"value": -2665808145,
"isBuy": false,
"insiderName": "Nguyễn Đức Tuấn",
"result": -135135,
"averagePrice": 19727,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "10/04/2023",
"value": -5151182866,
"isBuy": false,
"insiderName": "Trần Thị Phương Liên",
"result": -273737,
"averagePrice": 18818,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "24/02/2023",
"value": -37818000000,
"isBuy": false,
"insiderName": "Hoàng Quang Việt",
"insiderOccupation": "TV HĐQT",
"result": -2000000,
"averagePrice": 18909,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "24/02/2023",
"isBuy": true,
"insiderName": "Hoàng Nhật Anh",
"result": 1000000,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
},
{
"ticker": "HPG",
"tradedDate": "24/02/2023",
"isBuy": true,
"insiderName": "Hoàng Nhật Minh",
"result": 1000000,
"entityType": "INDIVIDUAL",
"isTradeMarket": false
}
]
}
Chi Tiết Tham Số Response
| Tên Thuộc Tính | Kiểu Dữ Liệu | Mô Tả |
|---|---|---|
| status | number | 200: Success 400: Error |
| message | string | Thông báo |
| total | number | Tổng số giao dịch |
| data | array (Xem chi tiết) | Danh sách giao dịch |
| Tên Thuộc Tính | Kiểu Dữ Liệu | Mô Tả |
|---|---|---|
| ticker | string | Mã cổ phiếu |
| tradedDate | string | Ngày giao dịch (dd/MM/yyyy) |
| value | number | Giá trị giao dịch (VND) |
| isBuy | boolean | Giao dịch mua (true) hoặc bán (false) |
| insiderName | string | Tên người/cổ đông nội bộ |
| result | number | Khối lượng giao dịch (± cổ phiếu) |
| averagePrice | number | Giá khớp bình quân (VND/cp) |
| entityType | string | Đối tượng giao dịch: - INDIVIDUAL: Cá nhân - ORGANIZATION: Tổ chức |
| isTradeMarket | boolean | Hình thức mua bán: - true: Loại giao dịch thỏa thuận hoặc khớp lệnh - false: Loại giao dịch thực hiện quyền |